;;;; isodate-test.lisp

(load "isodate.lisp")

(defpackage #:isodate-test
  (:use :cl
        :prove
        :iso-date))

(in-package #:isodate-test)

;;; "isodate-test" goes here. Hacks and glory await!

(plan 5)

(is (encode-universal-time 0 18 20 20 7 1969) (parse-date "1969-07-20T20:18:00"))

(is "1969-07-20T20:18:00" (print-date (encode-universal-time 0 18 20 20 7 1969)))

(ok (leap-year-p 2000))

(is (encode-universal-time 0 18 20 20 7 1969) (parse-mini-date "19690720201800"))

(is "19690720201800" (print-mini-date (encode-universal-time 0 18 20 20 7 1969)))

(finalize)
