(defun select (tables fields &optional comp)
  (format nil "SELECT ~a FROM ~a~[;~; ~a~]"
          (dofields 'fields)
          (dotables 'tables)
          (if comp
              (docompare 'comp))))

(defun dofields (fields)
  (format nil "~{~a~^, ~}" fields))

(defun dotables (tables)
  (format nil "~{~a~^, ~}" tables))
